merge ( Plasma )
Open, NormalPublic

Description

Merge plasma with debian master.

scarlettclark triaged this task as Normal priority.
scarlettclark added a comment.EditedDec 7 2018, 11:55 AM

Plasma

Bluedevil
https://packaging.neon.kde.org/kde/bluedevil.git/log/?h=Neon/unstable_merge
MERGED - 12/7
https://build.neon.kde.org/job/bionic_unstable_kde_bluedevil/

Breeze
https://packaging.neon.kde.org/kde/breeze.git/log/?h=Neon/unstable_merge
MERGED - 12/7
UPDATED - 12/8&12/9
https://build.neon.kde.org/job/bionic_unstable_kde_breeze/
Notes:
There is still a diff with the default printer page that looked very Neon specific. I need to know if this is not the case and needs to be upstreamed to debian.

breeze-grub
https://packaging.neon.kde.org/kde/breeze-grub.git/log/?h=Neon/unstable_merge
MERGED 1/12/19
Remaining changes:
I cherry-picked 2 commits from @sitter neon specific.
https://build.neon.kde.org/job/bionic_unstable_kde_breeze-grub/38/

Breeze-gtk
https://packaging.neon.kde.org/kde/breeze-gtk.git/log/?h=Neon/unstable_merge
MERGED - 12/8
UPDATED - 12/9
https://build.neon.kde.org/job/bionic_unstable_kde_breeze-gtk/

Breeze-plymouth
https://packaging.neon.kde.org/kde/breeze-plymouth.git/log/?h=Neon/unstable_merge
MERGED 1/12/19
Notes:
Kept all neon specific changes.
https://build.neon.kde.org/job/bionic_unstable_kde_breeze-plymouth/

Discover
https://packaging.neon.kde.org/kde/plasma-discover.git/log/?h=Neon/unstable_merge
WIP - 12/8
MERGED 12/13
https://build.neon.kde.org/job/bionic_unstable_kde_plasma-discover/

Drkonqi
https://packaging.neon.kde.org/kde/drkonqi.git/log/?h=Neon/unstable_merge
MERGED - 12/9
https://build.neon.kde.org/job/bionic_unstable_kde_drkonqi/

Kactivitymanagerd
https://packaging.neon.kde.org/kde/kactivitymanagerd.git/log/?h=Neon/unstable_merge
MERGED - 12/9
https://build.neon.kde.org/job/bionic_unstable_kde_kactivitymanagerd/

Kde-cli-tools
https://packaging.neon.kde.org/kde/kde-cli-tools.git/log/?h=Neon/unstable_merge
MERGED - 12/9
https://build.neon.kde.org/job/bionic_unstable_kde_kde-cli-tools/

Kde-gtk-config
https://packaging.neon.kde.org/kde/kde-gtk-config.git/log/?h=Neon/unstable_merge
MERGED - 12/9
https://build.neon.kde.org/job/bionic_unstable_kde_kde-gtk-config/

Kdecoration
https://packaging.neon.kde.org/kde/kdecoration.git/log/?h=Neon/unstable_merge
MERGED - 12/9
https://build.neon.kde.org/job/bionic_unstable_kde_kdecoration/

Kdeplasma-addons
https://packaging.neon.kde.org/kde/kdeplasma-addons.git/log/?h=Neon/unstable_merge
WIP 12/9 & 1/12/19

Kgamma5
https://packaging.neon.kde.org/kde/kgamma5.git/log/?h=Neon/unstable_merge
MERGED 12/10
https://build.neon.kde.org/job/bionic_unstable_kde_kgamma5/

Khotkeys
https://packaging.neon.kde.org/kde/khotkeys.git/log/?h=Neon/unstable_merge
MERGED - 12/10
https://build.neon.kde.org/job/bionic_unstable_kde_khotkeys/

Kinfocenter
https://packaging.neon.kde.org/kde/kinfocenter.git/log/?h=Neon/unstable_merge
MERGED 12/10
https://build.neon.kde.org/job/bionic_unstable_kde_kinfocenter/

Kmenuedit
https://packaging.neon.kde.org/kde/kmenuedit.git/log/?h=Neon/unstable_merge
MERGED 12/10
https://build.neon.kde.org/job/bionic_unstable_kde_kmenuedit/

Kscreen
https://packaging.neon.kde.org/kde/kscreen.git/log/?h=Neon/unstable_merge
MERGED 12/10
https://build.neon.kde.org/job/bionic_unstable_kde_kscreen/
Notes:
Diff is neon ci specific qml-ignore.

Kscreenlocker
https://packaging.neon.kde.org/kde/kscreenlocker.git/log/?h=Neon/unstable_merge
MERGED 12/11
https://build.neon.kde.org/job/bionic_unstable_kde_kscreenlocker/
Notes:
Debian merge for psmisc depend diff.
https://salsa.debian.org/qt-kde-team/kde/kscreenlocker/merge_requests/1

Ksshaskpass
https://packaging.neon.kde.org/kde/ksshaskpass.git/log/?h=Neon/unstable_merge
MERGED 12/11
https://build.neon.kde.org/job/bionic_unstable_kde_ksshaskpass/

Ksysguard
https://packaging.neon.kde.org/kde/ksysguard.git/log/?h=Neon/unstable_merge
MERGED 12/11
https://build.neon.kde.org/job/bionic_unstable_kde_ksysguard/

Kwallet-pam
https://packaging.neon.kde.org/kde/kwallet-pam.git/log/?h=Neon/unstable_merge
MERGED 1/19
https://build.neon.kde.org/job/bionic_unstable_kde_kwallet-pam/
Notes:
Debian merge - remove empty series file.
https://salsa.debian.org/qt-kde-team/kde/kwallet-pam/merge_requests/1
ACCEPTED

Kwayland-integration
https://packaging.neon.kde.org/kde/kwayland-integration.git/log/?h=Neon/unstable_merge
MERGED 12/11
https://build.neon.kde.org/job/bionic_unstable_kde_kwayland-integration/

Kwin
https://packaging.neon.kde.org/kde/kwin.git/log/?h=Neon/unstable_merge
MERGED 1/19
https://build.neon.kde.org/job/bionic_unstable_kde_kwin/
Note: diff is new release changes.
Had to cherry-pick setcap diffs.

Kwrited
https://packaging.neon.kde.org/kde/kwrited.git/log/?h=Neon/unstable_merge
MERGED 12/11
https://build.neon.kde.org/job/bionic_unstable_kde_kwrited/

Libkscreen
https://packaging.neon.kde.org/kde/libkscreen.git/log/?h=Neon/unstable_merge
MERGED 1/19
https://build.neon.kde.org/job/bionic_unstable_kde_libkscreen/

Libksysguard
https://packaging.neon.kde.org/kde/libksysguard.git/log/?h=Neon/unstable_merge
MERGED 1/20

Milou
https://packaging.neon.kde.org/kde/milou.git/log/?h=Neon/unstable_merge
MERGED 12/13
https://build.neon.kde.org/job/bionic_unstable_kde_milou/

Oxygen
https://packaging.neon.kde.org/kde/oxygen.git/log/?h=Neon/unstable_merge
MERGED 12/13
https://build.neon.kde.org/job/bionic_unstable_kde_oxygen/

Plasma-browser-integration
https://packaging.neon.kde.org/kde/plamsa-browser-integration.git/log/?h=Neon/unstable_merge
MERGED 12/13
https://build.neon.kde.org/job/bionic_unstable_kde_plasma-browser-integration/
Notes:
We want to keep manifest diff.

Plasma-desktop
https://packaging.neon.kde.org/kde/plasma-desktop.git/log/?h=Neon/unstable_merge
MERGED 12/13
https://build.neon.kde.org/job/bionic_unstable_kde_plasma-desktop/
Notes:
cmake and qml ignore diff is neon ci specific.

Plasma-integration
https://packaging.neon.kde.org/kde/plasma-integration.git/log/?h=Neon/unstable_merge
MERGED 12/13
https://build.neon.kde.org/job/bionic_unstable_kde_plasma-integration/

Plasma-nm
https://packaging.neon.kde.org/kde/plasma-nm.git/log/?h=Neon/unstable_merge
MERGED 12/13
https://build.neon.kde.org/job/bionic_unstable_kde_plasma-nm/
Notes:
Debian merge request for kwallet-bin Recommend -
https://salsa.debian.org/qt-kde-team/kde/plasma-nm/merge_requests/1
Also I kept rules diff for cmake flag to build mobile.
Note to self: need to do merge request for new kirigmai qml dep.
Need to do merge request for empty series file.

Plasma-pa
https://packaging.neon.kde.org/kde/plasma-pa.git/log/?h=Neon/unstable_merge
MERGED 12/13
https://build.neon.kde.org/job/bionic_unstable_kde_plasma-pa/
Notes:
Debian merge for pulse-module-gconf -
https://salsa.debian.org/qt-kde-team/kde/plasma-pa/merge_requests/1
Will create another merge for kcm qml dep when this one pushed.

Plasma-sdk
https://packaging.neon.kde.org/kde/plasma-sdk.git/log/?h=Neon/unstable_merge
MERGED 12/13
https://build.neon.kde.org/job/bionic_unstable_kde_plasma-sdk/

Plasma-tests
https://packaging.neon.kde.org/kde/plasma-tests.git/log/?h=Neon/unstable_merge
Nothing to merge. No diff

Plasma-vault
https://packaging.neon.kde.org/kde/plasma-vault.git/log/?h=Neon/unstable_merge
MERGED 12/13
https://build.neon.kde.org/job/bionic_unstable_kde_plasma-vault/

Plasma-workspace
https://packaging.neon.kde.org/kde/plasma-workpace.git/log/?h=Neon/unstable_merge

Plasma-workspace-wallpapers
https://packaging.neon.kde.org/kde/plasma-workspace-wallpapers.git/log/?h=Neon/unstable_merge
MERGED 1/14
https://build.neon.kde.org/job/bionic_unstable_kde_plasma-workspace-wallpapers/

Plymouth-kcm
https://packaging.neon.kde.org/kde/plymouth-kcm.git/log/?h=Neon/unstable_merge
MERGED 1/14
https://build.neon.kde.org/job/bionic_unstable_kde_plymouth-kcm/
TO-DO upstream debian the qml dep.

Polkit-kde-agent
https://packaging.neon.kde.org/kde/polkit-kde-agent-1.git/log/?h=Neon/unstable_merge
MERGED 1/14
https://build.neon.kde.org/job/bionic_unstable_kde_polkit-kde-agent-1/
Notes: TO-DO upstream the sensible lintian-override.

Powerdevil
https://packaging.neon.kde.org/kde/powerdevil.git/log/?h=Neon/unstable_merge
MERGED 1/14
https://build.neon.kde.org/job/bionic_unstable_kde_powerdevil/

Sddm-kcm
https://packaging.neon.kde.org/kde/sddm-kcm.git/log/?h=Neon/unstable_merge
MERGED 1/13
https://build.neon.kde.org/job/bionic_unstable_kde_sddm-kcm/

Systemsettings
https://packaging.neon.kde.org/kde/systemsettings.git/log/?h=Neon/unstable_merge
MERGED 1/13
https://build.neon.kde.org/job/bionic_unstable_kde_systemsettings/
Notes:
cmake-ignore left in tree - neon -specific.

User-manager
https://packaging.neon.kde.org/kde/user-manager.git/log/?h=Neon/unstable_merge
MERGED 1/13
https://build.neon.kde.org/job/bionic_unstable_kde_user-manager/

Xdg-desktop-portal-kde
https://packaging.neon.kde.org/kde/xdg-desktop-portal-kde.git/log/?h=Neon/unstable_merge
MERGED 1/13
https://build.neon.kde.org/job/bionic_unstable_kde_xdg-desktop-portal-kde/
Notes:
I went with debian on the dependencies and here is why:

All three of these are required for the feature to work, we only had epoxy and gbm. I proceeded to try to add pipewire and get a FTBFS which perhaps is why it is not added. If someone wants this feature to work then all 3 need added and it worked out why the FTBFS - perhaps pipewire is too old.

scarlettclark added a comment.EditedDec 8 2018, 11:10 PM
This comment has been deleted.

For breeze-plymouth I'd say keep most of our functional changes
keep our:
debian/rules
debian/plymouth-theme-breeze.prerm
debian/plymouth-theme-breeze.postinst
debian/plymouth-theme-breeze.casper-stop-breeze-plymouth.service
debian/initramfs-hook/plymouth_breeze
otherwise keep debian versions

kdeplasma-addons:
diff --git a/debian/kwin-addons.lintian-overrides b/debian/kwin-addons.lintian-overrides
new file mode 100644
index 0000000..849c8df

  • /dev/null

+++ b/debian/kwin-addons.lintian-overrides
@@ -0,0 +1,4 @@
+# kwin-addons can never be a build depends. it is a convenience metapackage to
+# get all kwin addons. If it ever was pulled in as build deps that'd be a bug
+# which ought to get fixed.
+kwin-addons: virtual-package-depends-without-real-package-depends depends: kwin
diff --git a/debian/libplasmapotdprovidercore-dev.install b/debian/libplasmapotdprovidercore-dev.install
new file mode 100644
index 0000000..553a5c7

  • /dev/null

+++ b/debian/libplasmapotdprovidercore-dev.install
@@ -0,0 +1,4 @@
+usr/include/plasma/potdprovider/
+usr/lib/*/cmake/PlasmaPotdProvider/
+usr/lib/*/libplasmapotdprovidercore.so
+usr/share/kdevappwizard/templates/plasmapotdprovider.tar.bz2
diff --git a/debian/plasma-dataengines-addons.install b/debian/plasma-dataengines-addons.install
index fdb1a25..906d906 100644

  • a/debian/plasma-dataengines-addons.install

+++ b/debian/plasma-dataengines-addons.install
@@ -12,4 +12,6 @@ usr/share/kservices5/plasma-dataengine-comic.desktop
usr/share/kservices5/plasma-dataengine-konsoleprofiles.desktop
usr/share/kservices5/plasma-dataengine-potd.desktop
usr/share/kservicetypes5/plasma_comicprovider.desktop
+usr/share/metainfo/org.kde.plasma.konsoleprofiles.appdata.xml
+usr/share/plasma/plasmoids/org.kde.plasma.konsoleprofiles/
usr/share/plasma/services/org.kde.plasma.dataengine.konsoleprofiles.operations
diff --git a/debian/plasma-dataengines-addons.lintian-overrides b/debian/plasma-dataengines-addons.lintian-overrides
index 49b91ee..a222d7f 100644

  • a/debian/plasma-dataengines-addons.lintian-overrides

+++ b/debian/plasma-dataengines-addons.lintian-overrides
@@ -1,4 +1,2 @@
-plasma-dataengines-addons: package-name-doesnt-match-sonames libplasmacomicprovidercore1
-plasma-dataengines-addons: no-symbols-control-file usr/lib/librtm.so.4.10.*
-plasma-dataengines-addons: no-symbols-control-file usr/lib/libplasmaweather.so.4.10.*
-plasma-dataengines-addons: no-symbols-control-file usr/lib/libplasmacomicprovidercore.so.1.0.0
+plasma-dataengines-addons: package-name-doesnt-match-sonames libplasmacomicprovidercore1 libplasmapotdprovidercore1
+plasma-dataengines-addons: dev-pkg-without-shlib-symlink usr/lib/x86_64-linux-gnu/libplasmacomicprovidercore.so.1.0.0 usr/lib/x86_64-linux-gnu/libplasmacomicprovidercore.so

They have potd files all in a not-installed file. Any reason why we install it and they don't?

scarlettclark added a comment.EditedJan 13 2019, 12:35 PM
This comment has been deleted.

kdeplasma-addons:
keep our kwin-addons.lintian-overrides
keep our libplasmapotdprovidercore-dev.install but discuss with frinring (Friedrich W. H. Kossebau <kossebau@kde.org>) if the files should be installed
plasma-dataengines-addons.install keep our additions
plasma-dataengines-addons.lintian-overrides keep whichever one keeps lintian quiet

kwallet-pam:
follow Debian I think (add breaks/replaces of course)

thanks -

can you answer about printer diff?
Breeze
https://packaging.neon.kde.org/kde/breeze.git/log/?h=Neon/unstable_merge
MERGED - 12/7
UPDATED - 12/8&12/9
https://build.neon.kde.org/job/bionic_unstable_kde_breeze/
Notes:
There is still a diff with the default printer page that looked very Neon specific. I need to know if this is not the case and needs to be upstreamed to debian.

The default-testpage.pdf in breeze is a neon specific change and shouldn't go back to Debian

sitter edited projects, added Neon; removed KDE Neon : bionic.Feb 12 2019, 1:48 PM
sitter moved this task from Backlog to Doing on the Neon board.